#
# spec file for package sablot
#
# Copyright (c) 2013 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           sablot
Version:        1.0.3
Release:        bp156.3.5
Summary:        XSL Processor
License:        GPL-2.0+
Group:          Productivity/Publishing/XML
Url:            http://www.gingerall.com/charlie/ga/xml/p_sab.xml
Source:         http://sourceforge.net/projects/sablotron/files/sablotron-%{version}/Sablot-%{version}.tar.gz
Patch0:         %{name}-%{version}-newautoconf.diff
Patch1:         %{name}-%{version}-gcc3.diff
Patch2:         %{name}-%{version}-delete.diff
BuildRequires:  gcc-c++
BuildRequires:  libexpat-devel
BuildRequires:  libtool
Provides:       sablotron
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
Sablotron is an XSL processor fully implemented in C++. The excellent
Expat parser is used as the associated XML parser.

%package devel
Summary:        Header Files and Libraries for Sablot Development
Group:          Development/Libraries/C and C++
Requires:       %{name} = %{version}
Requires:       glibc-devel
Provides:       sablotd
Obsoletes:      sablotd

%description devel
Header files and libraries needed for sablot development.

%prep
%setup -q -n Sablot-%{version}
%patch0
%patch1
%patch2

%build
chmod 644 README
touch COPYING NEWS AUTHORS ChangeLog
autoreconf -fiv
%configure --disable-static --with-pic
make %{?_smp_mflags}

%install
make install DESTDIR=%{buildroot}
rm -f %{buildroot}%{_libdir}/*.la

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%defattr(-,root,root)
%doc README
%{_bindir}/sabcmd
%{_libdir}/*.so.*
%{_mandir}/man1/*

%files devel
%defattr(-,root,root)
%attr(644,root,root) %{_includedir}/*
%{_libdir}/*.so
%{_bindir}/sablot-config

%changelog
* Fri Apr  5 2013 idonmez@suse.com
- Cleanup spec file
- Add Source URL, see https://en.opensuse.org/SourceUrls
* Wed Nov 23 2011 coolo@suse.com
- add libtool as buildrequire to avoid implicit dependency
* Wed Nov 19 2008 prusnak@suse.cz
- fix wrong delete usage (delete.patch) [bnc#445507]
* Sat Jul  5 2008 crrodriguez@suse.de
- disable static libraries
* Tue Apr 17 2007 prusnak@suse.cz
- updated spec file to reflect expat package split
* Wed Jan  3 2007 prusnak@suse.cz
- update to 1.0.3
  * added dyn:evaluate() EXSLT function to evaluate strings as XPath expressions
  * fixed segfault when stylesheet import fails
  * user-defined scheme URIs no more encoded
* Thu Oct  5 2006 cthiel@suse.de
- don't require libstdc++-devel
* Wed Jan 25 2006 mls@suse.de
- converted neededforbuild to BuildRequires
* Wed Aug  3 2005 mjancar@suse.cz
- update to 1.0.2
- add expat gcc and libstdc++-devel fo Requires
* Tue Feb 10 2004 tcrhak@suse.cz
- fix to build on 64 bit archs
* Thu Feb  5 2004 tcrhak@suse.cz
- update to version 1.0.1
* Sat Jan 10 2004 adrian@suse.de
- add %%run_ldconfig
* Fri Jul 25 2003 tcrhak@suse.cz
- update to version 0.98
* Mon Jun  2 2003 ro@suse.de
- install man-page correctly and add to filelist
* Thu Jan  9 2003 tcrhak@suse.cz
- link with libexpat
* Thu Jan  2 2003 tcrhak@suse.cz
- use type XML_Error instead of int in parser.cpp
- fixed permissions of directory with README
  (malfixed earlier)
* Thu Dec 19 2002 tcrhak@suse.cz
- update to version 0.96
* Tue Apr  2 2002 tcrhak@suse.cz
- build with new automake/autoconf
- fixed permissions of README
* Mon Feb 11 2002 tcrhak@suse.cz
- update to 0.82
- used %%{_libdir} and %%{_lib} macros
* Tue Jan 29 2002 schwab@suse.de
- Link against libsupc++ and libgcc_eh if they exist, until libtool is
  fixed.
* Tue Jun 26 2001 adostal@suse.cz
- fix to compile on ia64
* Fri Jun 15 2001 adostal@suse.cz
- upgrade to 0.60
* Thu Jun 14 2001 adostal@suse.cz
- upgrade to 0.52 and fix for new autoconf
* Fri Apr 20 2001 cihlar@suse.cz
- fixed call of suse_update_config
- fixed to compile on s390
* Wed Mar 21 2001 schwab@suse.de
- Set CXXFLAGS to $RPM_OPT_FLAGS.
* Mon Mar 12 2001 cihlar@suse.cz
- update to version 0.51
* Thu Jan  4 2001 cihlar@suse.cz
- removed expat sources, using package expat
* Wed Nov 15 2000 cihlar@suse.cz
- renamed sablotd -> sablot-devel
- fixed to compile
* Mon Sep 18 2000 cihlar@suse.cz
- package created
